Create a conversation
curl --request POST \
--url https://dust.tt/api/w/{wId}/assistant/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"spaceId": "<string>",
"message": {
"content": "<string>",
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"context": {
"timezone": "<string>",
"profilePictureUrl": "<string>",
"origin": "<string>",
"clientSideMCPServerIds": [
"<string>"
],
"selectedMCPServerViewIds": [
"<string>"
]
}
},
"contentFragments": [
{}
],
"metadata": {},
"skipToolsValidation": true
}
'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations"
payload = {
"title": "<string>",
"spaceId": "<string>",
"message": {
"content": "<string>",
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"context": {
"timezone": "<string>",
"profilePictureUrl": "<string>",
"origin": "<string>",
"clientSideMCPServerIds": ["<string>"],
"selectedMCPServerViewIds": ["<string>"]
}
},
"contentFragments": [{}],
"metadata": {},
"skipToolsValidation": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
spaceId: '<string>',
message: {
content: '<string>',
mentions: [{configurationId: '<string>', type: 'user', userId: '<string>'}],
context: {
timezone: '<string>',
profilePictureUrl: '<string>',
origin: '<string>',
clientSideMCPServerIds: ['<string>'],
selectedMCPServerViewIds: ['<string>']
}
},
contentFragments: [{}],
metadata: {},
skipToolsValidation: true
})
};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": 123,
"created": 123,
"updated": 123,
"sId": "<string>",
"depth": 123,
"unread": true,
"lastReadMs": 123,
"actionRequired": true,
"hasError": true,
"title": "<string>",
"spaceId": "<string>",
"triggerId": "<string>",
"metadata": {},
"requestedSpaceIds": [
"<string>"
],
"forkingData": {
"forkedFrom": {
"parentConversationId": "<string>",
"parentConversationTitle": "<string>",
"sourceMessageId": "<string>",
"branchedAt": 123,
"user": {
"sId": "<string>",
"id": 123,
"createdAt": 123,
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"image": "<string>",
"lastLoginAt": 123
}
},
"forkedChildren": [
{
"childConversationId": "<string>",
"childConversationTitle": "<string>",
"sourceMessageId": "<string>",
"branchedAt": 123,
"user": {
"sId": "<string>",
"id": 123,
"createdAt": 123,
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"image": "<string>",
"lastLoginAt": 123
}
}
]
},
"owner": {
"id": 123,
"sId": "<string>",
"name": "<string>",
"regionalModelsOnly": true,
"segmentation": "<string>",
"whiteListedProviders": [
"<string>"
],
"defaultEmbeddingProvider": "<string>",
"ssoEnforced": true,
"metadata": {}
},
"branchId": "<string>",
"content": [
[
{
"type": "user_message",
"sId": "<string>",
"created": 123,
"version": 123,
"rank": 123,
"content": "<string>",
"id": 123,
"user": {
"sId": "<string>",
"username": "<string>",
"fullName": "<string>",
"image": "<string>"
},
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"richMentions": [
{
"id": "<string>",
"label": "<string>",
"pictureUrl": "<string>",
"description": "<string>",
"dismissed": true,
"userFavorite": true
}
],
"context": {
"username": "<string>",
"timezone": "<string>",
"fullName": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>"
},
"reactions": [
{
"emoji": "<string>",
"users": [
{
"userId": "<string>",
"username": "<string>",
"fullName": "<string>"
}
]
}
]
}
]
]
},
"message": {
"type": "user_message",
"sId": "<string>",
"created": 123,
"version": 123,
"rank": 123,
"content": "<string>",
"id": 123,
"user": {
"sId": "<string>",
"username": "<string>",
"fullName": "<string>",
"image": "<string>"
},
"mentions": [
{
"configurationId": "<string>",
"type": "user",
"userId": "<string>"
}
],
"richMentions": [
{
"id": "<string>",
"label": "<string>",
"pictureUrl": "<string>",
"description": "<string>",
"dismissed": true,
"userFavorite": true
}
],
"context": {
"username": "<string>",
"timezone": "<string>",
"fullName": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>"
},
"reactions": [
{
"emoji": "<string>",
"users": [
{
"userId": "<string>",
"username": "<string>",
"fullName": "<string>"
}
]
}
]
},
"contentFragments": [
{
"type": "content_fragment",
"sId": "<string>",
"title": "<string>",
"contentType": "<string>",
"id": 123,
"created": 123,
"version": 123,
"rank": 123,
"sourceUrl": "<string>",
"context": {
"username": "<string>",
"fullName": "<string>",
"email": "<string>",
"profilePictureUrl": "<string>"
},
"contentFragmentId": "<string>",
"expiredReason": "data_source_deleted",
"fileId": "<string>",
"path": "<string>",
"skipDataSourceIndexing": true,
"skipFileProcessing": true,
"snippet": "<string>",
"textUrl": "<string>",
"textBytes": 123,
"nodeId": "<string>",
"nodeDataSourceViewId": "<string>"
}
]
}Private Conversations
Create a conversation
Create a new conversation, optionally with an initial user message and content fragments.
POST
/
api
/
w
/
{wId}
/
assistant
/
conversations
Create a conversation
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Body
application/json
⌘I